## open-infrastructure-compute-tools 20190301-lts2

=== debian/changelog ===
open-infrastructure-compute-tools (20190301-lts2-1~deb10u1) buster; urgency=medium

  * Uploading to buster.
  * Merging upstream version 20190301-lts2:
    - Fix start of container by altering the systemd service file.
      This fix workarounds a missing/wrong condition in the start script
      which leads to systemd-nspawn beeing called twice. The seconds call to
      systemd-nspawn fails because the container is already running. Systemd
      then killed the container.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 13 Aug 2019 00:47:36 +0200
