=== debian/control ===
Source: open-infrastructure-compute-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://open-infrastructure.net/software/compute-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools

Package: open-infrastructure-container-tools
Section: admin
Architecture: all
Depends:
 dbus,
 ifupdown,
 systemd-container,
 ${misc:Depends},
Recommends:
 bash-completion,
 debootstrap | mmdebstrap,
 logrotate,
 procps,
 pv,
 sudo,
Suggests:
 irker,
 plzip,
 python3-nwdiag | python-nwdiag,
Provides:
 container-tools,
Enhances:
 systemd-container,
Description: manage systemd-nspawn containers
 A Linux container is an operating-system-level virtualization environment for
 running multiple isolated Linux systems (containers) on a single Linux control
 host.
 .
 container-tools provides the system integration for managing containers using
 systemd-nspawn.
