## open-infrastructure-compute-tools 20190811

=== Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 	cp -r lib/* $(DESTDIR)/usr/lib/$(PROJECT)
 
 	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
-	cp -r VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/${PROGRAM}
+	cp -r VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
 	cp -r share/config share/hooks share/scripts $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
 
 	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions
