=== debian/changelog ===
open-infrastructure-compute-tools (20190811-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190811.
  * Removing debconf-includes.patch, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Aug 2019 10:56:26 +0200

open-infrastructure-compute-tools (20190413-4) sid; urgency=medium

  * Uploading to sid.
  * Adding updated French debconf translations from Jean-Pierre Giraud
    <jenapierregiraud75@free.fr> (Closes: #930706).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 10 Aug 2019 14:08:56 +0200

open-infrastructure-compute-tools (20190413-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.4.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 16 Jul 2019 18:49:57 +0200

open-infrastructure-compute-tools (20190413-2) experimental; urgency=medium

  * Uploading to experimental.
  * Adding patch to correcting whitespace error in include handling that
    broke debconf container create script.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 13 Apr 2019 10:30:34 +0200

open-infrastructure-compute-tools (20190413-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20190413.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 13 Apr 2019 05:51:10 +0200

open-infrastructure-compute-tools (20190319-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20190319.
  * Updating news entry with backwarts incompatible changes for this
    upstream version.
  * Adding removal of previously forgotten mmdebstrap alternative to not
    leave cruft behind after package removal, thanks to Andreas Beckmann
    <anbe@debian.org> (Closes: #924092).
  * Removing leftover 'FIXME' in a previous changelog entry.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 19 Mar 2019 21:01:07 +0100

open-infrastructure-compute-tools (20190304-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20190304.
  * Updating packaging for curl script readding.
  * Adding updated French debconf translations, thanks to Jean-Pierre
    Giraud <jean-pierregiraud@neuf.fr> (Closes: #909641).
  * Adding updated Dutch debconf translations, thanks to Frans
    Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #923278, #923549).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 05 Mar 2019 12:27:53 +0100
