=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libxml2-utils,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://open-infrastructure.net/software/compute-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
@@ -25,6 +25,7 @@
  ${misc:Depends},
 Recommends:
  bash-completion,
+ curl,
  debootstrap | mmdebstrap,
  logrotate,
  procps,
