=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile
 
-# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2020 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -20,7 +20,7 @@
 # Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight
 
 A2X = a2x \
-	--asciidoc-opts "-a revdate=$(shell cat ../../VERSION.txt)" \
+	--asciidoc-opts="-a revdate=$(shell cat ../../VERSION.txt)" \
 	--doctype=manpage
 
 SHELL := sh -e
