=== debian/changelog ===
open-infrastructure-compute-tools (20200121-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20200121.
  * Removing ftbfs-asciidoc.patch, included upstream.
  * Using codenames as upload targets in changelog.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 21:29:02 +0100

open-infrastructure-compute-tools (20191104-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20191104.
  * Updating to standards version 4.4.1.
  * Adding patch to fix FTBFS with newer asciidoc versions.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Nov 2019 07:07:02 +0100

open-infrastructure-compute-tools (20190301-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301.
  * Updating packaging for curl script removal.
  * Adding mmdebstrap to alternative handling.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 11:32:37 +0100

open-infrastructure-compute-tools (20190222-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190222.
  * Updating news entry with backwarts incompatible changes for this
    upstream version.
  * Updating paths in packaging for new upstream version.
  * Updating copyright file for new upstream.
  * Updating watch file for new upstream.
  * Updating upstream signing-key.
  * Removing pre-buster alternative depends in control, not needed
    anymore.
  * Removing source local-options, not needed anymore.
  * Adding upload target note in previous changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 23 Feb 2019 17:09:11 +0100

open-infrastructure-compute-tools (20180825-3) sid; urgency=medium

  * Uploading to sid.
  * Adding enhances for systemd-container.
  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Using spaces instead of tabs in NEWS file.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.
  * Renaming source package to open-infrastructure-compute-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 10:06:16 +0100

open-infrastructure-container-tools (20180825-2) sid; urgency=medium

  * Uploading to sid.
  * Updating German debconf translations, thanks to Markus Hiereth
    <translation@hiereth.de> (Closes: #905709).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Aug 2018 11:14:04 +0200

open-infrastructure-container-tools (20180825-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180825.
  * Updating to standards version 4.2.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 30 Aug 2018 15:05:03 +0200

open-infrastructure-container-tools (20180527-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180527.
  * Fixing variable style in postrm script.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 May 2018 20:58:29 +0200

open-infrastructure-container-tools (20180503-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180503.
  * Updating to standards-version 4.1.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 03 May 2018 12:49:45 +0200

open-infrastructure-container-tools (20180218-2) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Also adding --no-restart-after-upgrade to dh_installsystemd to avoid
    containers being rebooted on package upgrades (default changed with
    debhelper 11).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Mar 2018 16:12:17 +0100

open-infrastructure-container-tools (20180218-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180218.
  * Updating rules to use dh_installsystemd instead of dh_systemd_start.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 18 Feb 2018 16:13:14 +0100

open-infrastructure-container-tools (20180118-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180118.
  * Adding Rules-Requires-Root field.
  * Dropping obsolete build-depends on dh-systemd.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #883415).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 Jan 2018 10:54:05 +0100

open-infrastructure-container-tools (20171101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171101.
  * Adding initial German debconf translations from Markus Hiereth
    <markus.hiereth@freenet.de> (Closes: #851978).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2017 09:17:43 +0100

open-infrastructure-container-tools (20171013-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171013.
  * Updating to standards version 4.1.1.
  * Dropping net-tools depends, not needed anymore.
  * Dropping bridge-utils suggests, not needed anymore.
  * Adding updated Portuguese debconf translation from Rui Branco
    <ruipb@debianpt.org> (Closes: #870533).
  * Adding updated Dutch debconf translation from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #874281).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Oct 2017 15:17:33 +0200

open-infrastructure-container-tools (20170726-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170726.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 28 Jul 2017 13:59:45 +0200

open-infrastructure-container-tools (20170722-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170722.
  * Adding news entries for backwards incompatible changes of upstream

