=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := container-tools

%:
	dh ${@}

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-infrastructure-$(PACKAGE)

	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/*/LICENSE.txt

	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/* debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade --no-start --no-stop-on-upgrade
