=== debian/changelog ===
open-infrastructure-compute-tools (20210101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210101.
  * Updating year in copyright for 2021.
  * Updating to standards version 4.5.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 Feb 2021 17:20:22 +0100

open-infrastructure-compute-tools (20201030-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20201030.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 30 Oct 2020 05:13:55 +0100

open-infrastructure-compute-tools (20200830-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20200830.
  * Using execute_after targets in rules to be explicit what we're doing.
  * Updating to debhelper version 13.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Aug 2020 15:48:56 +0200
