=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-infrastructure-$(PACKAGE)
 
+execute_after_dh_auto_install:
 	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/*/CHANGELOG.txt
 	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/*/LICENSE.txt
