=== share/man/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile
+# Open Infrastructure: compute-tools
 
 # Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
@@ -15,30 +15,45 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
-# Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight
+# Depends: python3-docutils
 
-A2X = a2x \
-	--asciidoc-opts="-a revdate=$(shell cat ../../VERSION.txt)" \
-	--doctype=manpage
+RST2MAN = rst2man \
+	--no-datestamp \
+	--no-generator \
+	--strict \
+	--strip-comments \
+	--tab-width=4 \
+	--verbose
+
+VERSION := $(shell cat ../../VERSION.txt)
 
 SHELL := sh -e
 
 all: build
 
-clean:
-	rm -f *.[0-9]
-	rm -f *.xml
-
 build: man
 
 rebuild: clean build
 
-man: *.txt
-	for FILE in *.txt; \
+man: man.in *.rst
+	@echo -n "Creating manpages... "
+
+	@for FILE in *.rst; \
 	do \
-		$(A2X) --format=manpage $${FILE}; \
+		cp man.in $$(basename $${FILE} .rst); \
+		$(RST2MAN) $${FILE} | \
+		sed	-e '/^.\\" Man page generated/d' \
+			-e '/^.\\" Generated by/d' \
+			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} compute-tools |" \
+		>> $$(basename $${FILE} .rst); \
+		echo -n "."; \
 	done
 
+	@echo " done."
+
+clean:
+	rm -f *.[0-9]
+
 .PHONY: all clean build rebuild man
