=== debian/changelog ===
open-infrastructure-compute-tools (20211231-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:14:26 +0000

open-infrastructure-compute-tools (20211231-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211231.
  * Moving to dh_installalternatives.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Dec 2021 06:20:12 +0100

open-infrastructure-compute-tools (20211117-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211117.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 17 Nov 2021 03:12:39 +0100

open-infrastructure-compute-tools (20211116-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211116.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 16 Nov 2021 07:00:59 +0100

open-infrastructure-compute-tools (20211115-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211115.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Nov 2021 22:40:57 +0100

open-infrastructure-compute-tools (20211113-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211113.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 13 Nov 2021 08:01:55 +0100

open-infrastructure-compute-tools (20211103-2) sid; urgency=medium

  * Uploading to sid.
  * Adding upgrade-handling for logfiles from buster to bullseye and
    newer.
  * Adding upgrade-handling for hooks from buster to bullseye and newer.
  * Moving upgrade handling in postinst to its own function.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 07 Nov 2021 18:52:51 +0100

open-infrastructure-compute-tools (20211103-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211103.
  * Removing needrestart directory on purge.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 03 Nov 2021 11:03:50 +0100

open-infrastructure-compute-tools (20211102-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211102.
  * Replacing which with command in maintainer scripts.
  * Adding upgrade-handling buster to bullseye and newer.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 02 Nov 2021 18:13:52 +0100

open-infrastructure-compute-tools (20210804-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.
  * Avoiding error when trying to creating directories ontop of symlinks
    when moving directories.
  * Adding updated German debconf translations from Markus Hiereth
    <translation@hiereth.de> (Closes: #993474).
  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #994140).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Oct 2021 14:42:00 +0200

open-infrastructure-compute-tools (20210804-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 16 Aug 2021 04:33:13 +0200

open-infrastructure-compute-tools (20210804-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210804.
  * Updating debconf handling to honor container.conf.d files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Aug 2021 05:26:06 +0200

open-infrastructure-compute-tools (20210727-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210727.
  * Adding backward incompatible changes for the previous upstream release
    to news file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 27 Jul 2021 02:59:04 +0200

open-infrastructure-compute-tools (20210726-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210726.
  * Updating packaging for container create to container build command
    rename.
  * Refreshing debconf files.
  * Correcting 'directory-is-empty' check in postinst.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 26 Jul 2021 05:57:43 +0200

open-infrastructure-compute-tools (20210725-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210725.
  * Updating build-depends for moving from asciidoc to rst for manpage
    generation.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 25 Jul 2021 08:03:04 +0200

open-infrastructure-compute-tools (20210724-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210724.
  * Updating news file for previous upload.
  * Marking create script choices in debconf as untranslatable (as it
    should be).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jul 2021 20:49:05 +0200

open-infrastructure-compute-tools (20210630-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210630.
  * Reverting openvswitch recommends (openvswitch usage is not ready
    here).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 30 Jun 2021 09:02:35 +0200

open-infrastructure-compute-tools (20210629-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210629.
  * Updating recommends for openvswitch migration.
  * Updating NEWS for new upstream version.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jun 2021 14:15:52 +0200

open-infrastructure-compute-tools (20210628-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210628:
    - Using dpkg selection to check package availability in debconf
      container create script, rather than to rely on dpkg internal
      files (Closes: #944982).
  * Using full distributor name for progress-linux when matching
    lsb_release output in debconf handling.
  * Removing conditional default handling for suggest container create

