=== debian/control ===
--- 
+++ 
@@ -3,14 +3,11 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- asciidoc,
+ debhelper (>= 13.1~),
  debhelper-compat (= 13),
- docbook-xml,
- docbook-xsl,
- libxml2-utils,
- xsltproc,
+ python3-docutils,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://open-infrastructure.net/software/compute-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
@@ -20,13 +17,13 @@
 Architecture: all
 Depends:
  dbus,
- ifupdown,
  systemd-container,
  ${misc:Depends},
 Recommends:
  bash-completion,
  curl,
  debootstrap | mmdebstrap,
+ ifupdown,
  logrotate,
  procps,
  pv,
