=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := open-infrastructure-container-tools

%:
	dh ${@}

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/$(PACKAGE)

execute_after_dh_auto_install:
	rm -f debian/$(PACKAGE)/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/$(PACKAGE)/usr/share/doc/*/LICENSE.txt

	mv debian/$(PACKAGE)/usr/share/doc/* debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade --no-start --no-stop-on-upgrade
