=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.open-infrastructure.net/software/compute-tools/upstream/compute-tools-(.+)\.tar\.lz
