## open-infrastructure-compute-tools 20220430

=== debian/changelog ===
open-infrastructure-compute-tools (20220430-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20220430.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 01 May 2022 00:11:43 +0200

open-infrastructure-compute-tools (20220428-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20220428.
  * Updating packaging copyright for 2022.
  * Adding note about breaking changes (systemd-networkd instead of
    ifupdown) in news file.
  * Removing ifupdown from recommends.
  * Switching preference from debootstrap to mmdebstrap.
  * Adding updated Spanish debconf translations, thanks to Camaleón
    <noelamac@gmail.com> (Closes: #1003296, #1008530).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 28 Apr 2022 12:59:03 +0200
