=== debian/control ===
--- 
+++ 
@@ -22,8 +22,7 @@
 Recommends:
  bash-completion,
  curl,
- debootstrap | mmdebstrap,
- ifupdown,
+ mmdebstrap | debootstrap,
  logrotate,
  procps,
  pv,
